Paycose Docs
Onetime
POST/onetime/checkout/promotion_code

Create Checkout Promotion Code

Request body: ApplyPromotionCodeDTO

Responses: 200, 400, 500

Generated from the code contract; no hand-written description yet.

Request

Example

curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/onetime/checkout/promotion_code' \
  -H 'Content-Type: application/json' \
  -d '{
  "code": "<string>"
}'

Headers

NameValue
Content-Typeapplication/json

Body

NameTypeValue
codestring<string>
{
  "code": "<string>"
}

Responses

400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}
500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page